Skip to content

get Access Control Permissions

Request

Retrieves a list of all permissions.

Security
ApiKeyAuth
Query
page[size]integer, [ 1 .. 100 ]

Max number of results.

Default:25
Example:page[size]=30
page[after]string, (base64)

Cursor for the current page. If omitted, the first page is returned. It must be a Base64-encoded JSON string, including an object with a single entry. For example, the cursor eyJpZCI6IjEyMyJ9 is decoded to {"id":"123"}.

Example:page[after]=eyJpZCI6IjEyMyJ9
curl -i -X GET \
  'https://api.treasuredata.com/v3/access_control/permissions?page%5Bsize%5D=30&page%5Bafter%5D=eyJpZCI6IjEyMyJ9' \
  -H 'Authorization: TD1 <YOUR_TOKEN_HERE>'

Responses

OK. Only when the pagination parameters are used, the response is paginated.

Bodyapplication/json
One of:

Deprecated. Use the pagination query parameters and paginated response instead.

Array [
[].idintegerrequired
[].permission_set_idintegerrequired
[].resource_typestringrequired
[].filter_expressionstringrequired
[].filter_operatorstringrequired
[].filter_valuestringrequired
[].can_createbooleanrequired
[].can_readbooleanrequired
[].can_updatebooleanrequired
[].can_deletebooleanrequired
[].can_executebooleanrequired
[].custom_operationstringrequired
]
Response
[ { "id": 0, "permission_set_id": 0, "resource_type": "string", "filter_expression": "string", "filter_operator": "string", "filter_value": "string", "can_create": true, "can_read": true, "can_update": true, "can_delete": true, "can_execute": true, "custom_operation": "string" } ]